##
 # reset.mcfunction
 # 
 #
 # Created by CrazyCowMM.
##
execute if score @p level matches 1 run function crazycowmm:levels/level_1/reset
execute if score @p level matches 2 run function crazycowmm:levels/level_2/reset
execute if score @p level matches 3 run function crazycowmm:levels/level_3/reset
execute if score @p level matches 4 run function crazycowmm:levels/level_4/reset
execute if score @p level matches 5 run function crazycowmm:levels/level_5/reset
execute if score @p level matches 6 run function crazycowmm:levels/level_6/reset
execute if score @p level matches 7 run function crazycowmm:levels/level_7/reset
execute if score @p level matches 8 run function crazycowmm:levels/level_8/reset
execute if score @p level matches 9 run function crazycowmm:levels/level_9/reset
execute if score @p level matches 10 run function crazycowmm:levels/level_10/reset
execute if score @p level matches 11 run function crazycowmm:levels/level_11/reset
execute if score @p level matches 12 run function crazycowmm:levels/level_12/reset
execute if score @p level matches 13 run function crazycowmm:levels/level_13/reset

kill @e[type=item,tag=!showcase]
execute if score @p[tag=!played] level matches 1 as @p at @s run playsound minecraft:dialogue.y4hsreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 1 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-Y4HS>","color":"green"},{"text":" I see you\u2019ve found the reset feature! This will be important later on when the lessons become more complex, and you may find yourself in a sticky situation.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 2 as @p at @s run playsound minecraft:dialogue.pst7reset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 2 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-PST7>","color":"green"},{"text":" Hey, I get it, sometimes you need to take a step back and consider every possibility on a blank slate. Try picturing what dimension you\u2019ll be in after each swap, before you enter the room.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 3 as @p at @s run playsound minecraft:dialogue.yprsreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 3 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-YPRS> ","color":"green"},{"text":"Good idea, try and see everything in a new light... a new "},{"text":"light","italic":true},{"text":". Get it? Light? Because there are Light Blocks? You get it.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 4 as @p at @s run playsound minecraft:dialogue.m8snreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 4 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-M8SN> ","color":"green"},{"text":"Not a bad plan, especially now that from up here, you have some sense of what\u2019s going on below you.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 5 as @p at @s run playsound minecraft:dialogue.rynpreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 5 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-RYNP> ","color":"green"},{"text":"I don\u2019t blame you. I, too, want to spend as much time as possible standing on and staring at rainbows. And prisms, also.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 6 as @p at @s run playsound minecraft:dialogue.xe3nreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 6 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-XE3N> ","color":"green"},{"text":"Well, at least you didn\u2019t die. I mean, unless you did, I can\u2019t tell, my memory resets along with the lesson. Huh... memory resetting on an AI that\u2019s meant to keep track of data... that feels like it might be a design flaw... oh well!\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 7 as @p at @s run playsound minecraft:dialogue.jst1reset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 7 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-JST1> ","color":"green"},{"text":"Fair enough, fair enough. I respect the grind. Try routing as far into the future as you can, and always make sure to scout in both dimensions. It will really help.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 8 as @p at @s run playsound minecraft:dialogue.fzsdreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 8 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-FZSD> ","color":"green"},{"text":"Rest your eyes, weary traveler, rest your mind. Four layers and a hub room can be a lot to manage, especially with so many activators and connections.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 9 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-NBDY> ","color":"green"},{"text":"Did you softlock? Sorry, as I said before, I don\u2019t know why I\u2019m reset, but if you did... that\u2019s pretty cool. Now that you have some level of agency over the lesson, you\u2019re finally able to softlock. First time in the whole simulation! Well, I hope so, anyways.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 10 as @p at @s run playsound minecraft:dialogue.jmnkreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 10 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-JMNK> ","color":"green"},{"text":"Make sure to count your Prisms this time. Pay. Attention. To how many you need to have in each location, and how many you need in order to access different areas. It may be less than you think.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 11 as @p at @s run playsound minecraft:dialogue.qmblreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 11 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-QMBL> ","color":"green"},{"text":"Oh, what\u2019s the matter, did you break everything? I... know the feeling, buddy. I know the feeling.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 12 as @p at @s run playsound minecraft:dialogue.o6pkreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 12 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-O6PK> ","color":"green"},{"text":"I mean, that\u2019s fine, you do you, though I don\u2019t think this lesson has any softlocks so... I\u2019m confused, but it\u2019s fine, everyone has a different learning process, take your time.\n\n-----------------------------------------------------"}]
execute if score @p[tag=!played] level matches 13 as @p at @s run playsound minecraft:dialogue.bl2vreset player @p ~ ~ ~ 100 1
execute if score @p[tag=!played] level matches 13 run tellraw @a ["",{"text":"\n"},{"text":"<SIMPS-BL2V> ","color":"green"},{"text":"Oh I get it, trying to break the timer by reloading everything? Well jokes on you, I disabled the timer altogether. Purgatory wouldn\u2019t have any point if it ended, now would it?\n\n-----------------------------------------------------"}]

execute as @a[tag=items] run item entity @a hotbar.3 replace slime_ball
execute as @a[tag=pickaxe] run item entity @a hotbar.5 replace diamond_pickaxe{Unbreakable:1}

tag @a add played